﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication2
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			this.InitializeComponent();
            this.radMenu.ItemsSource = this.GetMenuItems();
		}

        public ObservableCollection<MenuItem> GetMenuItems()
        {
            ObservableCollection<MenuItem> items = new ObservableCollection<MenuItem>();
            ObservableCollection<MenuItem> fileSubItems = new ObservableCollection<MenuItem>();
            MenuItem newItem = new MenuItem()
            {
                Text = "New File"
            };
            fileSubItems.Add(newItem);

            MenuItem openItem = new MenuItem()
            {
                Text = "Open File"
            };
            fileSubItems.Add(openItem);

            MenuItem saveItem = new MenuItem()
            {
                Text = "Save File"
            };
            fileSubItems.Add(saveItem);

            MenuItem newItem2 = new MenuItem()
            {
                Text = "New Item 2"
            };
            fileSubItems.Add(newItem2);
            MenuItem newItem3 = new MenuItem()
            {
                Text = "New Item 3"
            };
            fileSubItems.Add(newItem3);
            MenuItem newItem4 = new MenuItem()
            {
                Text = "New Item 4"
            };
            fileSubItems.Add(newItem4);
            MenuItem newItem5 = new MenuItem()
            {
                Text = "New Item 5"
            };
            fileSubItems.Add(newItem5);


            MenuItem fileItem = new MenuItem()
            {
                SubItems = fileSubItems,
                Text = "File"
            };
            items.Add(fileItem);
            MenuItem editItem = new MenuItem()
            {
                Text = "Edit"
            };
            items.Add(editItem);
            MenuItem viewItem = new MenuItem()
            {
                Text = "View"
            };
            items.Add(viewItem);
            return items;
        }
	}
}